%define anolis_release 1
%global pypi_name imgaug
%global pypi_version 0.4.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Image augmentation library for deep neural networks

License:        MIT
URL:            https://github.com/aleju/imgaug
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
A library for image augmentation in machine learning experiments, particularly
convolutional neural networks. Supports the augmentation of images,
keypoints/landmarks, bounding boxes, heatmaps and segmentation maps in a
variety of different ways.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(imageio)
Requires:       python3dist(matplotlib)
Requires:       python3dist(numpy) >= 1.15
Requires:       python3dist(opencv)
Requires:       python3dist(pillow)
Requires:       python3dist(scikit-image) >= 0.14.2
Requires:       python3dist(scipy)
Requires:       python3dist(shapely)
Requires:       python3dist(six)
%description -n python3-%{pypi_name}
A library for image augmentation in machine learning experiments, particularly
convolutional neural networks. Supports the augmentation of images,
keypoints/landmarks, bounding boxes, heatmaps and segmentation maps in a
variety of different ways.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
sed -i 's/opencv-python-headless/opencv/g' setup.py requirements.txt
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 0.4.0-1
- Initial package.